Index: /trunk/LMDZ.TITAN/libf/phytitan/physiq_mod.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/physiq_mod.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/physiq_mod.F90	(revision 1647)
@@ -15,11 +15,7 @@
  
       use radinc_h, only : L_NSPECTI,L_NSPECTV,naerkind
-      use watercommon_h, only : RLVTT, Psat_water,epsi
       use gases_h, only: gnom, gfrac
       use radcommon_h, only: sigma, glat, grav, BWNV
-      use radii_mod, only: h2o_reffrad, co2_reffrad
-      use aerosol_mod, only: iaero_co2, iaero_h2o
-      use surfdat_h, only: phisfi, zmea, zstd, zsig, zgam, zthe, &
-                           dryness, watercaptag
+      use surfdat_h, only: phisfi, zmea, zstd, zsig, zgam, zthe
       use comdiurn_h, only: coslat, sinlat, coslon, sinlon
       use comsaison_h, only: mu0, fract, dist_star, declin, right_ascen
@@ -29,14 +25,7 @@
       USE tracer_h, only: noms, mmol, radius, rho_q, qext, &
                           alpha_lift, alpha_devil, qextrhor, &
-                          igcm_h2o_ice, igcm_h2o_vap, igcm_dustbin, &
-                          igcm_co2_ice
+                          igcm_dustbin
       use time_phylmdz_mod, only: ecritphy, iphysiq, nday
       use phyredem, only: physdem0, physdem1
-      use slab_ice_h, only: capcalocean, capcalseaice,capcalsno, &
-                            noceanmx
-      use ocean_slab_mod, only :ocean_slab_init, ocean_slab_ice, &
-                                ini_surf_heat_transp_mod, &
-                                ocean_slab_get_vars,ocean_slab_final
-      use surf_heat_transp_mod,only :init_masquv
       use planetwide_mod, only: planetwide_minval,planetwide_maxval,planetwide_sumval
       use mod_phys_lmdz_para, only : is_master
@@ -81,16 +70,12 @@
 !      IV. Dry Convective adjustment :
 !
-!      V. Condensation and sublimation of gases (currently just CO2).
-!
-!      VI. Tracers
-!         VI.1. Water and water ice.
-!         VI.2. Aerosols and particles.
-!         VI.3. Updates (pressure variations, surface budget).
-!         VI.4. Slab Ocean.
-!         VI.5. Surface Tracer Update.
-!
-!      VII. Surface and sub-surface soil temperature.
-!
-!      VIII. Perform diagnostics and write output files.
+!      V. Tracers
+!         V.1. Aerosols and particles.
+!         V.2. Updates (pressure variations, surface budget).
+!         V.3. Surface Tracer Update.
+!
+!      VI. Surface and sub-surface soil temperature.
+!
+!      VII. Perform diagnostics and write output files.
 !
 !
@@ -156,5 +141,6 @@
 !           No more ngridmx/nqmx, F90 commons and adaptation to parallel: A. Spiga (2012)
 !           Purge of the code : M. Turbet (2015)
-!==================================================================
+!           Fork for Titan and clean of all too-generic (ocean, water, co2 ...) routines : J. Vatant d'Ollone (2017)
+!============================================================================================
 
 
@@ -212,13 +198,10 @@
       real, dimension(:,:),allocatable,save :: albedo              ! Surface Spectral albedo. By MT2015.
       real, dimension(:),allocatable,save :: albedo_equivalent     ! Spectral Mean albedo.
-      real, dimension(:),allocatable,save :: albedo_snow_SPECTV    ! Snow Spectral albedo.
-      real, dimension(:),allocatable,save :: albedo_co2_ice_SPECTV ! CO2 ice Spectral albedo.
-      
-!$OMP THREADPRIVATE(tsurf,tsoil,albedo,albedo_equivalent,albedo_snow_SPECTV,albedo_co2_ice_SPECTV)
+      
+!$OMP THREADPRIVATE(tsurf,tsoil,albedo,albedo_equivalent)
 
       real,dimension(:),allocatable,save :: albedo_bareground ! Bare Ground Albedo. By MT 2015.
-      real,dimension(:),allocatable,save :: rnat              ! Defines the type of the grid (ocean,continent,...). By BC.
-      
-!$OMP THREADPRIVATE(albedo_bareground,rnat)
+      
+!$OMP THREADPRIVATE(albedo_bareground)
 
       real,dimension(:),allocatable,save :: emis        ! Thermal IR surface emissivity.
@@ -276,29 +259,18 @@
       real zdtsurf(ngrid)     ! Cumulated tendencies.
       real zdtsurfmr(ngrid)   ! Mass_redistribution routine.
-      real zdtsurfc(ngrid)    ! Condense_co2 routine.
       real zdtsdif(ngrid)     ! Turbdiff/vdifc routines.
-      real zdtsurf_hyd(ngrid) ! Hydrol routine.
             
       ! For Atmospheric Temperatures : (K/s)    
-      real dtlscale(ngrid,nlayer)                             ! Largescale routine.
-      real zdtc(ngrid,nlayer)                                 ! Condense_co2 routine.
-      real zdtdif(ngrid,nlayer)                                      ! Turbdiff/vdifc routines.
+      real zdtdif(ngrid,nlayer)                               ! Turbdiff/vdifc routines.
       real zdtmr(ngrid,nlayer)                                ! Mass_redistribution routine.
-      real zdtrain(ngrid,nlayer)                              ! Rain routine.
-      real dtmoist(ngrid,nlayer)                              ! Moistadj routine.
-      real dt_ekman(ngrid,noceanmx), dt_hdiff(ngrid,noceanmx) ! Slab_ocean routine.
       real zdtsw1(ngrid,nlayer), zdtlw1(ngrid,nlayer)         ! Callcorrk routine.
                               
       ! For Surface Tracers : (kg/m2/s)
       real dqsurf(ngrid,nq)                 ! Cumulated tendencies.
-      real zdqsurfc(ngrid)                  ! Condense_co2 routine.
       real zdqsdif(ngrid,nq)                ! Turbdiff/vdifc routines.
       real zdqssed(ngrid,nq)                ! Callsedim routine.
       real zdqsurfmr(ngrid,nq)              ! Mass_redistribution routine.
-      real zdqsrain(ngrid), zdqssnow(ngrid) ! Rain routine.
-      real dqs_hyd(ngrid,nq)                ! Hydrol routine.
                   
       ! For Tracers : (kg/kg_of_air/s)
-      real zdqc(ngrid,nlayer,nq)      ! Condense_co2 routine.
       real zdqadj(ngrid,nlayer,nq)    ! Convadj routine.
       real zdqdif(ngrid,nlayer,nq)    ! Turbdiff/vdifc routines.
@@ -306,8 +278,4 @@
       real zdqsed(ngrid,nlayer,nq)    ! Callsedim routine.
       real zdqmr(ngrid,nlayer,nq)     ! Mass_redistribution routine.
-      real zdqrain(ngrid,nlayer,nq)   ! Rain routine.
-      real dqmoist(ngrid,nlayer,nq)   ! Moistadj routine.
-      real dqvaplscale(ngrid,nlayer)  ! Largescale routine.
-      real dqcldlscale(ngrid,nlayer)  ! Largescale routine.
                         
       ! For Winds : (m/s/s)
@@ -359,9 +327,4 @@
       real qcol(ngrid,nq) ! Tracer Column Mass (kg/m2).
 
-!     included by RW for H2O Manabe scheme
-      real rneb_man(ngrid,nlayer) ! H2O cloud fraction (moistadj).
-      real rneb_lsc(ngrid,nlayer) ! H2O cloud fraction (large scale).
-
-
 !     to test energy conservation (RW+JL)
       real mass(ngrid,nlayer),massarea(ngrid,nlayer)
@@ -371,26 +334,11 @@
       real dEzRadsw(ngrid,nlayer),dEzRadlw(ngrid,nlayer),dEzdiff(ngrid,nlayer)
       real dEdiffs(ngrid),dEdiff(ngrid)
-      real madjdE(ngrid), lscaledE(ngrid),madjdEz(ngrid,nlayer), lscaledEz(ngrid,nlayer)
       
 !JL12 conservation test for mean flow kinetic energy has been disabled temporarily
 
-      real dtmoist_max,dtmoist_min     
       real dItot, dItot_tmp, dVtot, dVtot_tmp
-
-      real,allocatable,save :: hice(:) ! Oceanic Ice height. by BC
- !$OMP THREADPRIVATE(hice)     
-
-      real h2otot                      ! Total Amount of water. For diagnostic.
-      real icesrf,liqsrf,icecol,vapcol ! Total Amounts of water (ice,liq,vap). For diagnostic.
+      
       real dWtot, dWtot_tmp, dWtots, dWtots_tmp
-      logical,save :: watertest
-!$OMP THREADPRIVATE(watertest)
-
-      real qsat(ngrid,nlayer) ! Water Vapor Volume Mixing Ratio at saturation (kg/kg_of_air).
-      real RH(ngrid,nlayer)   ! Relative humidity.
-      real H2Omaxcol(ngrid)   ! Maximum possible H2O column amount (at 100% saturation) (kg/m2).
-      real psat_tmp
-      
-      logical clearsky ! For double radiative transfer call. By BC
+      
       
       ! For Clear Sky Case.
@@ -400,11 +348,5 @@
       real tau_col1(ngrid)                                                   ! For aerosol optical depth diagnostic.
       real OLR_nu1(ngrid,L_NSPECTI), OSR_nu1(ngrid,L_NSPECTV)                ! For Outgoing Radiation diagnostics.
-      real tf, ntf
-
-      real,allocatable,dimension(:,:),save :: cloudfrac  ! Fraction of clouds (%).
-      real,allocatable,dimension(:),save :: totcloudfrac ! Column fraction of clouds (%).
-!$OMP THREADPRIVATE(cloudfrac,totcloudfrac)
-
-      real nconsMAX, vdifcncons(ngrid), cadjncons(ngrid) ! Vdfic water conservation test. By RW
+      real tf, ntf    
 
       real,allocatable,dimension(:,:),save :: qsurf_hist
@@ -418,26 +360,4 @@
 
       real reffcol(ngrid,naerkind)
-
-!     Sourceevol for 'accelerated ice evolution'. By RW
-      real,allocatable,dimension(:),save :: ice_initial
-      real delta_ice,ice_tot
-      real,allocatable,dimension(:),save :: ice_min      
-      integer num_run
-      logical,save :: ice_update
-!$OMP THREADPRIVATE(ice_initial,ice_min,ice_update)
-
-!     For slab ocean. By BC
-      real, dimension(:),allocatable,save ::  pctsrf_sic
-      real, dimension(:,:),allocatable,save :: tslab
-      real, dimension(:),allocatable,save ::  tsea_ice
-      real, dimension(:),allocatable,save :: sea_ice
-      real, dimension(:),allocatable,save :: zmasq
-      integer, dimension(:),allocatable,save ::knindex 
-!$OMP THREADPRIVATE(pctsrf_sic,tslab,tsea_ice,sea_ice,zmasq,knindex)
-
-      real :: tsurf2(ngrid)
-      real :: flux_o(ngrid),flux_g(ngrid),fluxgrdocean(ngrid)
-      real :: flux_sens_lat(ngrid)
-      real :: qsurfint(ngrid,nq)
 
 
@@ -457,9 +377,6 @@
         ALLOCATE(tsoil(ngrid,nsoilmx))    
         ALLOCATE(albedo(ngrid,L_NSPECTV))
-         ALLOCATE(albedo_equivalent(ngrid))        
-         ALLOCATE(albedo_snow_SPECTV(L_NSPECTV))
-         ALLOCATE(albedo_co2_ice_SPECTV(L_NSPECTV))
-         ALLOCATE(albedo_bareground(ngrid))           
-        ALLOCATE(rnat(ngrid))         
+        ALLOCATE(albedo_equivalent(ngrid))        
+        ALLOCATE(albedo_bareground(ngrid))                
         ALLOCATE(emis(ngrid))   
         ALLOCATE(dtrad(ngrid,nlayer))
@@ -472,12 +389,7 @@
         ALLOCATE(ztprevious(ngrid,nlayer))
         ALLOCATE(zuprevious(ngrid,nlayer))
-        ALLOCATE(cloudfrac(ngrid,nlayer))
-        ALLOCATE(totcloudfrac(ngrid))
-        ALLOCATE(hice(ngrid))
         ALLOCATE(qsurf_hist(ngrid,nq))
         ALLOCATE(reffrad(ngrid,nlayer,naerkind))
         ALLOCATE(nueffrad(ngrid,nlayer,naerkind))
-        ALLOCATE(ice_initial(ngrid))
-        ALLOCATE(ice_min(ngrid)) 
         ALLOCATE(fluxsurf_lw(ngrid))
         ALLOCATE(fluxsurf_sw(ngrid))
@@ -493,10 +405,4 @@
         ALLOCATE(zdtsw(ngrid,nlayer))
         ALLOCATE(tau_col(ngrid))
-        ALLOCATE(pctsrf_sic(ngrid))
-        ALLOCATE(tslab(ngrid,noceanmx))
-        ALLOCATE(tsea_ice(ngrid))
-        ALLOCATE(sea_ice(ngrid))
-        ALLOCATE(zmasq(ngrid))
-        ALLOCATE(knindex(ngrid))
 
         ! This is defined in comsaison_h
@@ -532,7 +438,5 @@
 !        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
          call phyetat0(ngrid,nlayer,"startfi.nc",0,0,nsoilmx,nq,      &
-                       day_ini,time_phys,tsurf,tsoil,emis,q2,qsurf,   &
-                       cloudfrac,totcloudfrac,hice,                   &
-                       rnat,pctsrf_sic,tslab, tsea_ice,sea_ice)
+                       day_ini,time_phys,tsurf,tsoil,emis,q2,qsurf)
 
          if (pday.ne.day_ini) then
@@ -550,7 +454,5 @@
          albedo(:,:)=0.0
           albedo_bareground(:)=0.0
-          albedo_snow_SPECTV(:)=0.0
-          albedo_co2_ice_SPECTV(:)=0.0
-         call surfini(ngrid,nq,qsurf,albedo,albedo_bareground,albedo_snow_SPECTV,albedo_co2_ice_SPECTV) 
+         call surfini(ngrid,nq,qsurf,albedo,albedo_bareground) 
          
 !        Initialize orbital calculation. 
@@ -564,28 +466,4 @@
          endif
 
-!        Initialize oceanic variables.
-!        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-
-         if (ok_slab_ocean)then
-
-           call ocean_slab_init(ngrid,ptimestep, tslab, &
-                                sea_ice, pctsrf_sic)
-
-           call ini_surf_heat_transp_mod()
-           
-           knindex(:) = 0
-
-           do ig=1,ngrid
-              zmasq(ig)=1
-              knindex(ig) = ig
-              if (nint(rnat(ig)).eq.0) then
-                 zmasq(ig)=0
-              endif
-           enddo
-
-           CALL init_masquv(ngrid,zmasq)
-
-         endif ! end of 'ok_slab_ocean'.
-
 
 !        Initialize soil.
@@ -595,18 +473,4 @@
             call soil(ngrid,nsoilmx,firstcall,lastcall,inertiedat, &
                       ptimestep,tsurf,tsoil,capcal,fluxgrd)
-
-            if (ok_slab_ocean) then
-               do ig=1,ngrid
-                  if (nint(rnat(ig)).eq.2) then
-                     capcal(ig)=capcalocean
-                     if (pctsrf_sic(ig).gt.0.5) then
-                        capcal(ig)=capcalseaice
-                        if (qsurf(ig,igcm_h2o_ice).gt.0.) then
-                           capcal(ig)=capcalsno
-                        endif
-                     endif
-                  endif
-               enddo
-            endif ! end of 'ok_slab_ocean'.
 
          else ! else of 'callsoil'.
@@ -620,48 +484,5 @@
          
          icount=1
-
-!        Decide whether to update ice at end of run.
-!        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-         ice_update=.false.
-         if(sourceevol)then
-!$OMP MASTER
-            open(128,file='num_run',form='formatted', &
-                     status="old",iostat=ierr)
-            if (ierr.ne.0) then
-               write(*,*) "physiq: Error! No num_run file!"
-               write(*,*) " (which is needed for sourceevol option)"
-               stop
-            endif
-            read(128,*) num_run 
-            close(128)
-!$OMP END MASTER
-!$OMP BARRIER
-        
-            if(num_run.ne.0.and.mod(num_run,2).eq.0)then
-               print*,'Updating ice at end of this year!'
-               ice_update=.true.
-               ice_min(:)=1.e4
-            endif
-            
-         endif ! end of 'sourceevol'.
-
-
-         ! Here is defined the type of the surface : Continent or Ocean.
-         ! BC2014 : This is now already done in newstart.
-         ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-         if (.not.ok_slab_ocean) then
-         
-           rnat(:)=1.
-           do ig=1,ngrid
-              if(inertiedat(ig,1).gt.1.E4)then
-                 rnat(ig)=0
-              endif
-           enddo
-
-           print*,'WARNING! Surface type currently decided by surface inertia'
-           print*,'This should be improved e.g. in newstart.F'
            
-         endif ! end of 'ok_slab_ocean'.
-
 
 !        Initialize surface history variable.
@@ -674,15 +495,4 @@
          zuprevious(:,:)=pu(:,:)
 
-!        Set temperature just above condensation temperature (for Early Mars)
-!        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-         if(nearco2cond) then
-            write(*,*)' WARNING! Starting at Tcond+1K'
-            do l=1, nlayer
-               do ig=1,ngrid
-                  pdt(ig,l)= ((-3167.8)/(log(.01*pplay(ig,l))-23.23)+4     &
-                      -pt(ig,l)) / ptimestep
-               enddo
-            enddo
-         endif
 
          if(meanOLR)then          
@@ -691,21 +501,4 @@
             call system('rm -f h2o_bal.out') ! to record global hydrological balance.
          endif
-
-
-         watertest=.false.        
-         if(water)then ! Initialize variables for water cycle
-            
-            if(enertest)then
-               watertest = .true.
-            endif
-
-            if(ice_update)then
-               ice_initial(:)=qsurf(:,igcm_h2o_ice)
-            endif
-
-         endif
-         
-         call su_watercycle ! even if we don't have a water cycle, we might
-                            ! need epsi for the wvp definitions in callcorrk.F
 
          if (ngrid.ne.1) then ! Note : no need to create a restart file in 1d.
@@ -735,8 +528,6 @@
       ! Initialize various variables
       ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-      
-      if ( .not.nearco2cond ) then
-         pdt(1:ngrid,1:nlayer) = 0.0
-      endif      
+
+      pdt(1:ngrid,1:nlayer) = 0.0     
       zdtsurf(1:ngrid)      = 0.0
       pdq(1:ngrid,1:nlayer,1:nq) = 0.0
@@ -746,5 +537,4 @@
       pdpsrf(1:ngrid)       = 0.0
       zflubid(1:ngrid)      = 0.0      
-      flux_sens_lat(1:ngrid) = 0.0
       taux(1:ngrid) = 0.0
       tauy(1:ngrid) = 0.0
@@ -870,28 +660,8 @@
 ! II.a Call correlated-k radiative transfer scheme
 ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-               if(kastprof)then
-                  print*,'kastprof should not = true here'
-                  call abort
-               endif
-               if(water) then
-                  muvar(1:ngrid,1:nlayer)=mugaz/(1.e0+(1.e0/epsi-1.e0)*pq(1:ngrid,1:nlayer,igcm_h2o_vap)) 
-                  muvar(1:ngrid,nlayer+1)=mugaz/(1.e0+(1.e0/epsi-1.e0)*pq(1:ngrid,nlayer,igcm_h2o_vap)) 
-                  ! take into account water effect on mean molecular weight
-               else
-                  muvar(1:ngrid,1:nlayer+1)=mugaz
-               endif 
-      
-
-               if(ok_slab_ocean) then
-                  tsurf2(:)=tsurf(:) 
-                  do ig=1,ngrid
-                     if (nint(rnat(ig))==0) then
-                        tsurf(ig)=((1.-pctsrf_sic(ig))*tslab(ig,1)**4+pctsrf_sic(ig)*tsea_ice(ig)**4)**0.25
-                     endif
-                  enddo
-               endif !(ok_slab_ocean)
-                
+ 
+               muvar(1:ngrid,1:nlayer+1)=mugaz
+
                ! standard callcorrk
-               clearsky=.false.
                call callcorrk(ngrid,nlayer,pq,nq,qsurf,                           &
                               albedo,albedo_equivalent,emis,mu0,pplev,pplay,pt,   &
@@ -900,47 +670,5 @@
                               fluxsurfabs_sw,fluxtop_lw,                          &
                               fluxabs_sw,fluxtop_dn,OLR_nu,OSR_nu,                &
-                              tau_col,cloudfrac,totcloudfrac,                     &
-                              clearsky,firstcall,lastcall)     
-
-                ! Option to call scheme once more for clear regions  
-               if(CLFvarying)then
-
-                  ! ---> PROBLEMS WITH ALLOCATED ARRAYS : temporary solution in callcorrk: do not deallocate if CLFvarying ...
-                  clearsky=.true.
-                  call callcorrk(ngrid,nlayer,pq,nq,qsurf,                           &
-                                 albedo,albedo_equivalent1,emis,mu0,pplev,pplay,pt,   &
-                                 tsurf,fract,dist_star,aerosol,muvar,                &
-                                 zdtlw1,zdtsw1,fluxsurf_lw1,fluxsurf_sw1,            &
-                                 fluxsurfabs_sw1,fluxtop_lw1,                        &
-                                 fluxabs_sw1,fluxtop_dn,OLR_nu1,OSR_nu1,             &
-                                 tau_col1,cloudfrac,totcloudfrac,                    &
-                                 clearsky,firstcall,lastcall)
-                  clearsky = .false.  ! just in case.     
-
-                  ! Sum the fluxes and heating rates from cloudy/clear cases
-                  do ig=1,ngrid
-                     tf=totcloudfrac(ig)
-                     ntf=1.-tf                    
-                     fluxsurf_lw(ig)       = ntf*fluxsurf_lw1(ig)       + tf*fluxsurf_lw(ig)
-                     fluxsurf_sw(ig)       = ntf*fluxsurf_sw1(ig)       + tf*fluxsurf_sw(ig)
-                     albedo_equivalent(ig) = ntf*albedo_equivalent1(ig) + tf*albedo_equivalent(ig)
-                     fluxsurfabs_sw(ig)    = ntf*fluxsurfabs_sw1(ig)    + tf*fluxsurfabs_sw(ig)
-                     fluxtop_lw(ig)        = ntf*fluxtop_lw1(ig)        + tf*fluxtop_lw(ig)
-                     fluxabs_sw(ig)        = ntf*fluxabs_sw1(ig)        + tf*fluxabs_sw(ig)
-                     tau_col(ig)           = ntf*tau_col1(ig)           + tf*tau_col(ig)
-                    
-                     zdtlw(ig,1:nlayer) = ntf*zdtlw1(ig,1:nlayer) + tf*zdtlw(ig,1:nlayer)
-                     zdtsw(ig,1:nlayer) = ntf*zdtsw1(ig,1:nlayer) + tf*zdtsw(ig,1:nlayer)
-
-                     OSR_nu(ig,1:L_NSPECTV) = ntf*OSR_nu1(ig,1:L_NSPECTV) + tf*OSR_nu(ig,1:L_NSPECTV)                       
-                     OLR_nu(ig,1:L_NSPECTI) = ntf*OLR_nu1(ig,1:L_NSPECTI) + tf*OLR_nu(ig,1:L_NSPECTI)                       
-                  enddo                               
-
-               endif ! end of CLFvarying.
-
-               if(ok_slab_ocean) then
-                  tsurf(:)=tsurf2(:)
-               endif
-
+                              tau_col,firstcall,lastcall)
 
                ! Radiative flux from the sky absorbed by the surface (W.m-2).
@@ -957,9 +685,4 @@
                dtrad(1:ngrid,1:nlayer)=zdtsw(1:ngrid,1:nlayer)+zdtlw(1:ngrid,1:nlayer)
                
-               ! Late initialization of the Ice Spectral Albedo. We needed the visible bands to do that ! 
-               if (firstcall .and. albedo_spectral_mode) then
-                  call spectral_albedo_calc(albedo_snow_SPECTV)
-               endif
-
             elseif(newtonian)then
             
@@ -1040,5 +763,5 @@
          if (UseTurbDiff) then
          
-            call turbdiff(ngrid,nlayer,nq,rnat,                  &
+            call turbdiff(ngrid,nlayer,nq,                       &
                           ptimestep,capcal,lwrite,               &
                           pplay,pplev,zzlay,zzlev,z0,            &
@@ -1046,5 +769,5 @@
                           pdt,pdq,zflubid,                       &
                           zdudif,zdvdif,zdtdif,zdtsdif,          &
-                          sensibFlux,q2,zdqdif,zdqevap,zdqsdif,  &
+                          sensibFlux,q2,zdqdif,zdqsdif,          &
                           taux,tauy,lastcall)
 
@@ -1053,5 +776,5 @@
             zdh(1:ngrid,1:nlayer)=pdt(1:ngrid,1:nlayer)/zpopsk(1:ngrid,1:nlayer)
  
-            call vdifc(ngrid,nlayer,nq,rnat,zpopsk,           &
+            call vdifc(ngrid,nlayer,nq,zpopsk,                &
                        ptimestep,capcal,lwrite,               &
                        pplay,pplev,zzlay,zzlev,z0,            &
@@ -1072,10 +795,4 @@
          pdt(1:ngrid,1:nlayer)=pdt(1:ngrid,1:nlayer)+zdtdif(1:ngrid,1:nlayer)
          zdtsurf(1:ngrid)=zdtsurf(1:ngrid)+zdtsdif(1:ngrid)
-
-
-         if(ok_slab_ocean)then
-            flux_sens_lat(1:ngrid)=(zdtsdif(1:ngrid)*capcal(1:ngrid)-fluxrad(1:ngrid))
-         endif
-
 
          if (tracer) then 
@@ -1116,33 +833,4 @@
          endif ! end of 'enertest'
 
-
-         ! Test water conservation.
-         if(watertest.and.water)then
-         
-            call planetwide_sumval(massarea(:,:)*zdqdif(:,:,igcm_h2o_vap)*ptimestep/totarea_planet,dWtot_tmp)
-            call planetwide_sumval(zdqsdif(:,igcm_h2o_vap)*cell_area(:)*ptimestep/totarea_planet,dWtots_tmp)
-            do ig = 1, ngrid
-               vdifcncons(ig)=SUM(mass(ig,:)*zdqdif(ig,:,igcm_h2o_vap))
-            enddo
-            call planetwide_sumval(massarea(:,:)*zdqdif(:,:,igcm_h2o_ice)*ptimestep/totarea_planet,dWtot)
-            call planetwide_sumval(zdqsdif(:,igcm_h2o_ice)*cell_area(:)*ptimestep/totarea_planet,dWtots)
-            dWtot = dWtot + dWtot_tmp
-            dWtots = dWtots + dWtots_tmp
-            do ig = 1, ngrid
-               vdifcncons(ig)=vdifcncons(ig) + SUM(mass(ig,:)*zdqdif(ig,:,igcm_h2o_ice))
-            enddo            
-            call planetwide_maxval(vdifcncons(:),nconsMAX)
-
-            if (is_master) then
-               print*,'---------------------------------------------------------------'
-               print*,'In difv atmospheric water change        =',dWtot,' kg m-2'
-               print*,'In difv surface water change            =',dWtots,' kg m-2'
-               print*,'In difv non-cons factor                 =',dWtot+dWtots,' kg m-2'
-               print*,'In difv MAX non-cons factor             =',nconsMAX,' kg m-2 s-1'
-            endif
-
-         endif ! end of 'watertest'
-         !-------------------------
-
       else ! calldifv
 
